Prerequisite: installation of Docker

We recommend the use of Docker 17.03 and Compose 1.11.2.

We advise you to follow the  official documentation for the installation of Docker as well as the recommended procedure for Compose. You may also use that script of designed for Ubuntu 16.04:

#!/bin/bash

echo "Install Docker 17.03 on Ubuntu Xenial" sudo apt-get remove docker docker-engine docker-ce docker.io sudo apt-get update sudo apt-get install \ apt-transport-https \ ca-certificates \ curl \ software-properties-common curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - sudo add-apt-repository \ "deb [arch=amd64] https://download.docker.com/linux/ubuntu \ $(lsb_release -cs) \ stable" sudo apt-get update sudo apt-get install docker-ce=17.03.2~ce-0~ubuntu-xenial sudo groupadd docker sudo usermod -aG docker $USER sudo docker run hello-world echo "Install Compose 1.11.2" curl -L https://github.com/docker/compose/releases/download/1.11.2/docker-compose-`uname -s`-`uname -m` > docker-compose sudo mv docker-compose /usr/local/bin/docker-compose sudo chmod +x /usr/local/bin/docker-compose echo "Display Docker version" sudo docker -v echo "Display Compose version" docker-compose -v
echo "*******************************************************************"
echo "***** If everything is alright, please logout and login again *****"
echo "*******************************************************************"

This file is also downloadable on that page.

Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Please sign in to leave a comment.